#include <fstream>
#include <iostream>
#include <string>
#include <map>
#include <algorithm>

using std::endl;
using std::cout;
using std::cerr;
using std::cin;
using std::ifstream;
using std::string;
using std::find;

typedef std::map<std::string, int> mapa_veku;

mapa_veku nacti_soubor(){
    mapa_veku veky;

    ifstream soubor("seznam_jmen.txt", ios_base::in);

    while (soubor.good()){
		string radek;
		getline(soubor, radek);

		string::iterator mezera = find(radek.begin(), radek.end(), ' ');

		std::pair<string, int> zaznam;
		string::iterator lineptr = radek.begin();
		for ( ; (lineptr != radek.end()) && isalpha(*lineptr); lineptr++){
			// dokud nachazim znaky, pokracuji v nacitani jmena;
		}

		// chyba, jmeno nenalezeno
		if (lineptr == radek.begin()){
			cerr << "neplatny zaznam: " << radek << endl;
			continue;
		}

		zaznam.first = string(radek.begin(), lineptr);
		zaznam.second = 0;

		for ( ; (lineptr != radek.end()) && isspace(*lineptr); lineptr++){
			// preskakuji mezery
		}

			// vek chybi
		if (lineptr == radek.end()){
			cerr << "neplatny zaznam: " << radek << endl;
			continue;
		}

		// nacitam vek
		for ( ; (lineptr != radek.end()) && isdigit(*lineptr); lineptr++){
			zaznam.second *= 10;
			zaznam.second += (*lineptr)-'0';
		}
		
		veky.insert(zaznam);

	}


    // nactete soubor, format radku je jmeno (bile_znaky) vek (int). vadne radky preskocte

	return veky;
}

int main (){


	// nacti jmena
	mapa_veku veky = nacti_soubor();
	string ans;

    if (veky.empty()){
		cerr << "nelze nacist jmena, koncim" << endl;
		return 1;
	}

    // vypis nactena jmena, prirozene poradi

	// pauza
	cout << "pauza...";
    cin >> ans;

    // vypis nactena jmena pozpatku

	// pauza
	cout << "Zadejte jmeno osoby, jejiz vek chcete vyhledat: ";
    cin >> ans;

    // vyhledejte vek zadane osoby

    return 0;
}
